Summary: Integer Set Library
Name: isl
Version: 0.24
Release: 3%{?dist}
License: MIT
URL: https://isl.gforge.inria.fr/
Source0: https://distfiles.macports.org/isl/isl-0.24.tar.bz2
BuildRequires: gmp-devel pkgconfig gcc

%description
isl is a library for manipulating sets and relations of integer points
bounded by linear constraints.  Supported operations on sets include
intersection, union, set difference, emptiness check, convex hull,
(integer) affine hull, integer projection, computing the lexicographic
minimum using parametric integer programming, coalescing and parametric
vertex enumeration.  It also includes an ILP solver based on generalized
basis reduction, transitive closures on maps (which may encode infinite
graphs), dependence analysis and bounds on piecewise step-polynomials.

%package devel
Summary: Development for building integer point manipulation library
Requires: isl = %{version}-%{release}
Requires: gmp-devel

%description devel
ISL is a library for manipulating sets and relations of integer points
bounded by linear constraints.

It is used by Cloog and the GCC Graphite optimization framework.

%prep
%autosetup

%build
export CFLAGS_FOR_BUILD="%{optflags}"
%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}/%{_libdir}/libisl.la

%check
make check

%files
%license LICENSE
%doc AUTHORS ChangeLog README
%{_libdir}/libisl.so*

%files devel
%doc doc/manual.pdf
%{_includedir}/*
%{_libdir}/libisl.so
%{_libdir}/pkgconfig/isl.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 14 2022 Wang Zhe <bessiewang@tencent.com> - 0.24-1
- initial build
